---
Name: "terraform/map-instance-id"
Description: "Map Terraform Instance ID"
Documentation: |
  Provides the TF lookup self.[name] reference when the .id field does not map to the providers true ID.

  Uses the `${self.[path]}` address space used from inside the Terraform resource so `self.` is required.

  This allows users to create machines using the Terraform Instance ID from a Terraform run

  Typical values:

    * most use: `.id`
    * google: `.instance_id`
Schema:
  type: "string"
  default: "self.id"
Meta:
  type: "value"
  icon: "map outline"
  color: "black"
  title: "Digital Rebar Community Content"
